# Change Log

All notable changes to this project will be documented in this file.
See [Conventional Commits](https://conventionalcommits.org) for commit guidelines.

# [3.2.0](https://github.com/react-keycloak/react-keycloak/compare/@react-keycloak/core@3.1.0...@react-keycloak/core@3.2.0) (2020-10-18)

### Features

- **core:** re-render ReactKeycloakProvider if authentication state changes ([3ffa66d](https://github.com/react-keycloak/react-keycloak/commit/3ffa66dcd88927b0247bdaacade08f62cfd77ed2))

# [3.1.0](https://github.com/react-keycloak/react-keycloak/compare/@react-keycloak/core@3.0.0...@react-keycloak/core@3.1.0) (2020-10-18)

### Features

- **core:** remove 'token' from 'AuthProviderState' to avoid re-render on token refresh ([11f1024](https://github.com/react-keycloak/react-keycloak/commit/11f1024dfdabb62eac8d91cb9731722341c4f72c)), closes [#106](https://github.com/react-keycloak/react-keycloak/issues/106)

# [3.0.0](https://github.com/react-keycloak/react-keycloak/compare/@react-keycloak/core@2.2.1...@react-keycloak/core@3.0.0) (2020-10-04)

**Note:** Version bump only for package @react-keycloak/core

## [2.2.1](https://github.com/react-keycloak/react-keycloak/compare/@react-keycloak/core@2.2.0...@react-keycloak/core@2.2.1) (2020-08-21)

**Note:** Version bump only for package @react-keycloak/core

# [2.2.0](https://github.com/react-keycloak/react-keycloak/compare/@react-keycloak/core@2.1.2...@react-keycloak/core@2.2.0) (2020-07-21)

### Features

- **core:** Add 'onInitError' event notification when 'init' call to 'keycloak' fails ([1ae1ea0](https://github.com/react-keycloak/react-keycloak/commit/1ae1ea022203d9dc6012fad632f6bd3efe2d78a2)), closes [#80](https://github.com/react-keycloak/react-keycloak/issues/80)
- **core:** Update TS typings ([f5c43f1](https://github.com/react-keycloak/react-keycloak/commit/f5c43f17f8240c7df752218b4c277e207080ab8e))

## [2.1.2](https://github.com/react-keycloak/react-keycloak/compare/@react-keycloak/core@2.1.1...@react-keycloak/core@2.1.2) (2020-07-20)

**Note:** Version bump only for package @react-keycloak/core

## [2.1.1](https://github.com/react-keycloak/react-keycloak/compare/@react-keycloak/core@2.1.0...@react-keycloak/core@2.1.1) (2020-04-09)

**Note:** Version bump only for package @react-keycloak/core

# [2.1.0](https://github.com/react-keycloak/react-keycloak/compare/@react-keycloak/core@2.0.0...@react-keycloak/core@2.1.0) (2020-04-08)

### Features

- **core:** Update TS typings ([8a240f2](https://github.com/react-keycloak/react-keycloak/commit/8a240f26e495a57f70a0b54da9cfe64cf4e08002))

# [2.0.0](https://github.com/react-keycloak/react-keycloak/compare/@react-keycloak/core@1.2.1...@react-keycloak/core@2.0.0) (2020-03-30)

### chore

- **core:** Remove support for 'keycloak-js' pre-9.0.2 ([94f2d5f](https://github.com/react-keycloak/react-keycloak/commit/94f2d5f8f106955091c7cc8aaa6c6dd2dbb024c4))

### Features

- **core:** Improve TS typings ([59d3553](https://github.com/react-keycloak/react-keycloak/commit/59d35536cfa9c37d4d0f8052ade2294fc9a63b59))

### BREAKING CHANGES

- **core:** Drop support for older KeycloakJS versions

## [1.2.1](https://github.com/react-keycloak/react-keycloak/compare/@react-keycloak/core@1.2.0...@react-keycloak/core@1.2.1) (2020-03-30)

**Note:** Version bump only for package @react-keycloak/core

# [1.2.0](https://github.com/react-keycloak/react-keycloak/compare/@react-keycloak/core@1.1.1...@react-keycloak/core@1.2.0) (2020-03-19)

### Features

- **core:** Update 'react-fast-compare' dependency ([45471a8](https://github.com/react-keycloak/react-keycloak/commit/45471a811653d40b615b67c26cadfea7ff89ebc0))

## [1.1.1](https://github.com/react-keycloak/react-keycloak/compare/@react-keycloak/core@1.1.0...@react-keycloak/core@1.1.1) (2020-02-22)

**Note:** Version bump only for package @react-keycloak/core

# [1.1.0](https://github.com/react-keycloak/react-keycloak/compare/@react-keycloak/core@1.0.1...@react-keycloak/core@1.1.0) (2020-02-19)

### Features

- **core:** Add 'autoRefreshToken' prop to 'KeycloakProvider' ([e1fe4c6](https://github.com/react-keycloak/react-keycloak/commit/e1fe4c64ceaadac2cff626637eb64562f97a9b58))

## [1.0.1](https://github.com/react-keycloak/react-keycloak/compare/@react-keycloak/core@1.0.0...@react-keycloak/core@1.0.1) (2020-01-23)

**Note:** Version bump only for package @react-keycloak/core

# [1.0.0-alpha.6](https://github.com/react-keycloak/react-keycloak/compare/@react-keycloak/core@1.0.0-alpha.5...@react-keycloak/core@1.0.0-alpha.6) (2019-12-23)

**Note:** Version bump only for package @react-keycloak/core

# [1.0.0-alpha.5](https://github.com/react-keycloak/react-keycloak/compare/@react-keycloak/core@1.0.0-alpha.4...@react-keycloak/core@1.0.0-alpha.5) (2019-12-16)

**Note:** Version bump only for package @react-keycloak/core

# [1.0.0-alpha.4](https://github.com/react-keycloak/react-keycloak/compare/@react-keycloak/core@1.0.0-alpha.3...@react-keycloak/core@1.0.0-alpha.4) (2019-12-16)

**Note:** Version bump only for package @react-keycloak/core

# 1.0.0-alpha.3 (2019-12-16)

**Note:** Version bump only for package @react-keycloak/core

# 1.0.0-alpha.2 (2019-12-16)

**Note:** Version bump only for package @react-keycloak/core
